/*
  entry.cc

  $Id: entry.c,v 1.1 1999/11/27 02:59:09 everton Exp $
 */

#include <syslog.h>
#include "iterator.hpp"
#include "entry.hpp"

void entry::show() const
{
  syslog(LOG_INFO, "%s {\n", get_protoname(proto));
  iterator<vector<proto_map*>,proto_map*> it(*proto_list);
  it.start();
  if (it.cont()) {
    it.get()->show();
    it.next();
  }
  for (; it.cont(); it.next()) {
    syslog(LOG_INFO, "\n");
    it.get()->show();
  }
  syslog(LOG_INFO, "}\n");
}

void entry::serve() const
{
  if (!proto_list) {
    syslog(LOG_WARNING, "No protocol entries\n");
    return;
  }

  iterator<vector<proto_map*>,proto_map*> it(*proto_list);
  for (it.start(); it.cont(); it.next())
    it.get()->serve(proto);
}

/* Eof: entry.cc */
