/*
  proto_map.hpp

  $Id: proto_map.hpp,v 1.2 1999/12/02 01:04:12 everton Exp $
 */

#ifndef PROTO_MAP_HPP
#define PROTO_MAP_HPP

#include <stdio.h>
#include "host_map.hpp"
#include "solve.h"

class proto_map
{
private:
  vector<int>       *port_list;
  vector<host_map*> *map_list;
  int               ftp_pasv;
  int               uid;
  int               gid;

  void spawn_server(proto_t proto, int port) const;

public:
  proto_map(vector<int> *port_l, vector<host_map*> *map_l, int pasv, int user, int group)
    {
      port_list = port_l;
      map_list  = map_l;
      ftp_pasv  = pasv;
      uid       = user;
      gid       = group;
    }

  void show() const;

  void serve(proto_t proto) const;
};

#endif /* PROTO_MAP_HPP */

/* Eof: proto_map.hpp */
